uuid: 952c90cc-0ab6-4638-82db-a7484cd11917
langcode: en
status: true
dependencies: {  }
_core:
  default_config_hash: AglNUIV8aPCwgbTf8P3TNC2TmZkCXgPmEZGMG_Ex2Ms
id: d7_users
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
  - Materio
migration_group: d7_materio
label: 'User accounts'
source:
  plugin: d7_users
  batch_size: 1000
process:
  name: name
  pass: pass
  mail:
    -
      plugin: skip_on_value
      equals: true
      source: mail
      method: row
      value:
        - dev@g-u-i.net
        - admin@g-u-i.net
    -
      plugin: default_value
      source: mail
      default_value: null
  created: created
  access: access
  login: login
  status: status
  timezone: timezone
  langcode:
    plugin: user_langcode
    source: entity_language
    fallback_to_site_default: false
  preferred_langcode:
    plugin: user_langcode
    source: language
    fallback_to_site_default: true
  preferred_admin_langcode:
    plugin: user_langcode
    source: language
    fallback_to_site_default: true
  init: init
  roles:
    plugin: static_map
    source: roles
    default_value: 2
    map:
      1: anonymous
      2: authenticated
      3: admin
      4: root
      5: contact_company
      6: adherent
      7: free_user
      8: premium
      9: unverified
      10: student
      11: alpha_testeur
      12: translator
      13: admin_showroom
  field_company:
    plugin: migration_lookup
    migration: d7_taxonomy_term_company
    source: field_company
    no_stub: true
  field_showroom:
    plugin: migration_lookup
    migration: d7_taxonomy_term_showroom
    no_stub: true
    source: field_showroom
  field_memo: field_memo
  field_member_type: member_type
destination:
  plugin: 'entity:user'
migration_dependencies:
  required:
    - d7_allpublicfiles
    - d7_taxonomy_term_showroom
    - d7_taxonomy_term_company
